# OSGeo::FDO::Common::Io::IoStream Class Reference
[OSGeo::FDO::Common::Io]

Inheritance diagram for OSGeo::FDO::Common::Io::IoStream:

[legend]

List of all members.

## Detailed Description

IoStream defines the interface for all FDO streams. Streamed I/O support for various locations, such as files, memory, etc. can be provided by classes that implement this interface.

()

## Public Member Functions
System::Void | Close ()
| Closes the current stream and releases any resources (such as sockets and file handles) associated with the current stream.
virtual __property System::Boolean | get_CanRead ()
| Gets the reading capability of the stream.
virtual __property System::Boolean | get_CanWrite ()
| Gets the writing capability of the stream.
virtual __property System::Boolean | get_HasContext ()
| returns whether the stream has any positional context. Streams without context can only be read and written in a forward-only manner. These streams do not allow position and length changes.
virtual __property System::Int64 | get_Index ()
| gets the current position for the stream.
virtual __property System::Int64 | get_Length ()
| gets the current length of the stream.
| IoStream (System::IntPtr unmanaged, System::Boolean autoDelete)
| Constructs a stream based on an unmanaged instance of the object.
virtual System::UInt32 | Read (System::Byte buffer[], System::UInt32 count)
| reads the number of bytes indicated by count into the given buffer, or the number of bytes after the current stream position, whichever is less. The stream’s current position is moved ahead by the number of bytes read.
virtual System::Void | Reset ()
| sets the position to the start of the stream.
virtual __property System::Void | set_Length (System::Int64 length)
| truncates the stream to the indicated length.
virtual System::Void | Skip (System::Int64 count)
| skips over part of the stream.
virtual System::Void | Write (OSGeo::FDO::Common::Io::IoStream *stream, System::UInt32 count)
| reads the number of bytes from the given stream, and writes them to this stream.
virtual System::Void | Write (OSGeo::FDO::Common::Io::IoStream *stream)
| reads the number of bytes from the given stream, and writes them to this stream.
virtual System::Void | Write (System::Byte buffer[], System::UInt32 count)
| writes the number of bytes indicated by count, from the given buffer, to the stream. The current position is moved ahead by the number of bytes written.